tbb::internal::task_stream_accessor< accessor > Class Template Reference

`#include <task_stream_extended.h>`

Inheritance diagram for tbb::internal::task_stream_accessor< accessor >:
Collaboration diagram for tbb::internal::task_stream_accessor< accessor >:

## Protected Types

typedef queue_and_mutex< task *, spin_mutex > | lane_t
Protected Types inherited from tbb::internal::task_stream_base
typedef queue_and_mutex< task *, spin_mutex > | lane_t

## Protected Member Functions

task * | get_item (lane_t::queue_base_t &queue)

## Detailed Description

### template<task_stream_accessor_type accessor>
class tbb::internal::task_stream_accessor< accessor >

Specializes from which side of the underlying container elements are retrieved. Method must be called under corresponding mutex locked.

Definition at line 136 of file task_stream_extended.h.

## Member Typedef Documentation

## lane_t

template<task_stream_accessor_type accessor>

typedef queue_and_mutex<task*, spin_mutex> tbb::internal::task_stream_base::lane_t

protected

Definition at line 128 of file task_stream_extended.h.

## Member Function Documentation

## get_item()

template<task_stream_accessor_type accessor>

task* tbb::internal::task_stream_accessor< accessor >::get_item | ( | lane_t::queue_base_t & | queue | ) |

inline protected

Definition at line 139 of file task_stream_extended.h.

{
task* result = queue.front();
queue.pop_front();
return result;
}
task
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task * task
Definition: ittnotify_static.h:119

Referenced by tbb::internal::task_stream< Levels >::try_pop().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- task_stream_extended.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.